Debian Bug report logs - #451089
[amd] fails to switch to VT, ILLEGAL EXTENDED X86 OPCODE

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: <to@innomic.de>

Date: Tue, 13 Nov 2007 09:18:04 UTC

Severity: normal

Found in version xorg-server/2:1.3.0.0.dfsg-12

Fixed in version xorg-server/2:1.4.1~git20080131-3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=14332

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin-Éric Racine <q-funk@iki.fi>:
Bug#451089; Package xserver-xorg-video-amd. Full text and rfc822 format available.

Acknowledgement sent to <to@innomic.de>:
New Bug report received and forwarded. Copy sent to Martin-Éric Racine <q-funk@iki.fi>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Thomas Olschewski" <to@innomic.de>
To: <submit@bugs.debian.org>
Subject: xserver-xorg-video-amd: Text console not displayed when switching to it from X
Date: Tue, 13 Nov 2007 10:13:29 +0100
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-amd
Version: 2.7.7.1-1: i386

When I switch from X to a text console by Alt+Ctrl+F1..6 text console is not
displayed on my screen. Sometimes I get a screen with accidently colored
areas, sometimes the screen leaves blank. However, it is possible to switch
back to X by Alt+F7.

Some lines are added in Xorg.log after such a switch/reswitch, the first is:
c000:0282 A2 ILLEGAL EXTENDED X86 OPCODE

I am using following hardware:
- AMD LX800 CPU
- 256 MB RAM
- LCD Monitor 1280x1024 connected to VGA output
- video mem set to 32 MB

In xorg.conf I configured driver "amd" and tried following options:
"NoPanel"  "true" ... because I'm using VGA, result: no difference
"FBSize"   "33554432" ... because I'm using 32 MB video memory, result: no
difference
"NoCompression" "true" result: no difference

I am using a Debian lenny (testing), Kernel 2.6.22-2-486 (Debian 2.6.22-4),
libc6 2.6.1-1+b1, xorg 1:7.2-5.

Please find attached
- dmesg.output
- Xorg.log.before_switching
- Xorg.log.after_switching
- xorg.conf

Please contact me, if you need further tests.


Best regards,

Thomas Olschewski


[Xorg.log.before_switching (application/octet-stream, attachment)]
[dmesg.output (application/octet-stream, attachment)]
[xorg.conf (application/octet-stream, attachment)]
[Xorg.log.after_switching (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#451089; Package xserver-xorg-video-amd. Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <q-funk@iki.fi>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 451089@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Debian Bug Tracking System <451089@bugs.debian.org>
Subject: Re: #451089: xserver-xorg-video-amd: Text console not displayed when switching to it from X
Date: Sat, 05 Jan 2008 14:48:20 +0200
Package: xserver-xorg-video-amd
Version: 2.7.7.4-1
Followup-For: Bug #451089

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry for not noticing this report earlier.  

Can you please check if 2.7.7.4-1 fixes it?

Thanks!

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHf3yUeXr56x4Muc0RAhKyAKCUNL+JG4mzgu7swvVFnEzppZOggwCgjo35
pK1lJLiwEJZcyRVbJ0JSgOk=
=fFNb
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin-Éric Racine <q-funk@iki.fi>:
Bug#451089; Package xserver-xorg-video-amd. Full text and rfc822 format available.

Acknowledgement sent to "Martin-Éric Racine" <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to Martin-Éric Racine <q-funk@iki.fi>. Full text and rfc822 format available.

Message #15 received at 451089@bugs.debian.org (full text, mbox):

From: "Martin-Éric Racine" <q-funk@iki.fi>
To: 451089@bugs.debian.org
Cc: control@bugs.debian.org
Subject: reassigning to xorg-server
Date: Tue, 5 Feb 2008 19:11:49 +0200
reassign 451089 xserver-xorg-core
thanks

As demonstrated in Ubuntu bug #180742, this is actually an X server
core issue. A patch for this exists in Ubuntu at the above bug number.

-- 
Martin-Éric Racine
http://q-funk.iki.fi

Bug reassigned from package `xserver-xorg-video-amd' to `xserver-xorg-core'. Request was from "Martin-Éric Racine" <q-funk@iki.fi> to control@bugs.debian.org. (Tue, 05 Feb 2008 17:18:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451089; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 451089@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Martin-Éric Racine <q-funk@iki.fi>, 451089@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#451089: reassigning to xorg-server
Date: Tue, 5 Feb 2008 19:30:25 +0100
forwarded 451089 https://bugs.freedesktop.org/show_bug.cgi?id=14332
found 451089 2:1.3.0.0.dfsg-12
retitle 451089 [amd] fails to switch to VT, ILLEGAL EXTENDED X86 OPCODE
thank you



On Tue, Feb 05, 2008 at 07:11:49PM +0200, Martin-Éric Racine wrote:
> reassign 451089 xserver-xorg-core
> thanks
> 
> As demonstrated in Ubuntu bug #180742, this is actually an X server
> core issue. A patch for this exists in Ubuntu at the above bug number.

Martin-Eric,

This is related to the above upstream report, right?


Please give the entire URL when referring to bugs outside of the Debian
BTS, lots of people have no idea where to look. And most other people
find it very annoying when they need multiple clicks in their
browser to find the report.
Is there a trivial URL such as bugs.debian.org/451089 for Ubuntu bugs?

For the record, this one was at
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amd/+bug/180742

Brice





Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=14332. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 05 Feb 2008 18:33:03 GMT) Full text and rfc822 format available.

Bug marked as found in version 2:1.3.0.0.dfsg-12. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 05 Feb 2008 18:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to `[amd] fails to switch to VT, ILLEGAL EXTENDED X86 OPCODE' from `xserver-xorg-video-amd: Text console not displayed when switching to it from X '. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 05 Feb 2008 18:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451089; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to "Martin-Éric Racine" <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 451089@bugs.debian.org (full text, mbox):

From: "Martin-Éric Racine" <q-funk@iki.fi>
To: "Brice Goglin" <Brice.Goglin@ens-lyon.org>
Cc: 451089@bugs.debian.org
Subject: Re: Bug#451089: reassigning to xorg-server
Date: Tue, 5 Feb 2008 21:11:37 +0200
On 2/5/08, Brice Goglin <Brice.Goglin@ens-lyon.org> wrote:
> forwarded 451089 https://bugs.freedesktop.org/show_bug.cgi?id=14332
> found 451089 2:1.3.0.0.dfsg-12
> retitle 451089 [amd] fails to switch to VT, ILLEGAL EXTENDED X86 OPCODE
> thank you
>
> On Tue, Feb 05, 2008 at 07:11:49PM +0200, Martin-Éric Racine wrote:
> > reassign 451089 xserver-xorg-core
> > thanks
> >
> > As demonstrated in Ubuntu bug #180742, this is actually an X server
> > core issue. A patch for this exists in Ubuntu at the above bug number.
>
> Martin-Eric,
>
> This is related to the above upstream report, right?

Correct.

> Please give the entire URL when referring to bugs outside of the Debian
> BTS, lots of people have no idea where to look. And most other people
> find it very annoying when they need multiple clicks in their
> browser to find the report.

Noted.

> Is there a trivial URL such as bugs.debian.org/451089 for Ubuntu bugs?

I'm not aware of any.

> For the record, this one was at
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amd/+bug/180742

Correct.

Btw, all 3 patches referred to at the upstream bug need to be merged
to remove any chance of the X server freezing the hardware.

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amd/+bug/140051

...also offers 1.4 versions of the patches, as prepared by Ubuntu X maintainers.

-- 
Martin-Éric Racine
http://q-funk.iki.fi

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451089; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 451089@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: control@bugs.debian.org
Cc: 451089@bugs.debian.org, 461783@bugs.debian.org, 471782@bugs.debian.org, 473165@bugs.debian.org
Subject: setting package to xvfb xnest xserver-xorg-core xserver-xorg-core-dbg xorg-server xserver-xephyr xserver-xorg-dev ...
Date: Tue, 01 Apr 2008 18:07:04 +0200
# Automatically generated email from bts, devscripts version 2.10.20
#
# xorg-server (2:1.4.1~git20080131-3) UNRELEASED; urgency=low
#
#  * XKB: Fix processInputProc wrapping (cherry-picked from upstream).
#    Thanks to Thomas Jaeger.  This should fix the bug with some keys getting
#    stuck (closes: #473165).
#  * xkb: when copying the keymap, make sure the structs default to 0/NULL
#    (cherry-picked from upstream).  Fixes a crash and closes: #461783.
#  * Fix overly-restrictive integer overflow check in EXA pixmap creation
#    (cherry-picked from upstream).  Fixes BadAlloc errors returned by
#    XCreatePixmap for pixmaps of width 8192 or greater (closes: #471782).
#  Following patches by Bart Trojanowski, stolen from the ubuntu package:
#  * Add 151_x86emu_handle_cpuid.patch to fix X86EMU CPUID handling.
#    (closes: #451089).
#

package xvfb xnest xserver-xorg-core xserver-xorg-core-dbg xorg-server xserver-xephyr xserver-xorg-dev
tags 471782 + pending
tags 461783 + pending
tags 473165 + pending
tags 451089 + pending





Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 01 Apr 2008 16:12:34 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <to@innomic.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 451089-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 451089-close@bugs.debian.org
Subject: Bug#451089: fixed in xorg-server 2:1.4.1~git20080131-3
Date: Wed, 02 Apr 2008 12:32:18 +0000
Source: xorg-server
Source-Version: 2:1.4.1~git20080131-3

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xnest_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xnest_1.4.1~git20080131-3_i386.deb
xorg-server_1.4.1~git20080131-3.diff.gz
  to pool/main/x/xorg-server/xorg-server_1.4.1~git20080131-3.diff.gz
xorg-server_1.4.1~git20080131-3.dsc
  to pool/main/x/xorg-server/xorg-server_1.4.1~git20080131-3.dsc
xserver-xephyr_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xserver-xephyr_1.4.1~git20080131-3_i386.deb
xserver-xorg-core-dbg_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-core-dbg_1.4.1~git20080131-3_i386.deb
xserver-xorg-core_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-core_1.4.1~git20080131-3_i386.deb
xserver-xorg-dev_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-dev_1.4.1~git20080131-3_i386.deb
xvfb_1.4.1~git20080131-3_i386.deb
  to pool/main/x/xorg-server/xvfb_1.4.1~git20080131-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 02 Apr 2008 00:20:15 +0200
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-dev xnest xvfb xserver-xephyr xserver-xorg-core-dbg
Architecture: source i386
Version: 2:1.4.1~git20080131-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xnest      - Nested X server
 xserver-xephyr - nested X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 451089 461783 471782 473165
Changes: 
 xorg-server (2:1.4.1~git20080131-3) unstable; urgency=low
 .
   * XKB: Fix processInputProc wrapping (cherry-picked from upstream).
     Thanks to Thomas Jaeger.  This should fix the bug with some keys getting
     stuck (closes: #473165).
   * xkb: when copying the keymap, make sure the structs default to 0/NULL
     (cherry-picked from upstream).  Fixes a crash and closes: #461783.
   * __glXDRIbindTexImage: Fail if no texture bound to pixmap's texture target
     (cherry-picked from upstream).
   * EXA: Fix off-by-one in polyline drawing (cherry-picked from upstream).
   * EXA: Skip empty glyphs (cherry-picked from upstream).
   * Fix overly-restrictive integer overflow check in EXA pixmap creation
     (cherry-picked from upstream).  Fixes BadAlloc errors returned by
     XCreatePixmap for pixmaps of width 8192 or greater (closes: #471782).
 .
   Following patches by Bart Trojanowski, stolen from the ubuntu package:
   * 15_X86EMU-added-blacklist-for-I-O-port-in-0-0xFF-range.patch
     - Restrict access to I/O ports in range 0-0xFF from x86emu.
   * 16_X86EMU-pass-the-correct-bus-dev-fn-tag-to-pci-emula.patch
     - Fix improper emulation of PCI access General Software BIOS.
   * Add 17_x86emu_handle_cpuid.patch to fix X86EMU CPUID handling.
     (closes: #451089).
Files: 
 7c96d697c643c1d29b0f695e2c3882e6 2488 x11 optional xorg-server_1.4.1~git20080131-3.dsc
 c2f1bfbd9a09ed3807b963aa74ad90a5 705987 x11 optional xorg-server_1.4.1~git20080131-3.diff.gz
 73f381944b0b5457fe60c828792a36a1 4060590 x11 optional xserver-xorg-core_1.4.1~git20080131-3_i386.deb
 5dece37f8c91aca9124ad89fb685eb26 684036 x11 optional xserver-xorg-dev_1.4.1~git20080131-3_i386.deb
 46c03affc5a2613e65a860f4655d18c3 1753066 x11 optional xnest_1.4.1~git20080131-3_i386.deb
 60ded6c77eb82ef0817a539e068f1211 1863602 x11 optional xvfb_1.4.1~git20080131-3_i386.deb
 9fbb01f3c92ffb55452be62b12d68da7 1900546 x11 optional xserver-xephyr_1.4.1~git20080131-3_i386.deb
 b2b5463ff78afb270cba432e73d40ecc 12575850 x11 extra xserver-xorg-core-dbg_1.4.1~git20080131-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH83RumEvTgKxfcAwRAjLcAJ44btjJJBmkAFpXPG6V2cCG83eyrwCffelg
GFAhj9mQG+tpvv6Rr9MFJ58=
=yRH1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 May 2008 09:56:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:07:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.